function getResolution() 
{
    var w=window.screen.width * window.devicePixelRatio;
    var h=window.screen.height * window.devicePixelRatio;
    var RaT = window.devicePixelRatio;
    var X = window.document.getElementsByClassName("butts");
    var temp=0;
if( /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) ) 
{
var hi = (2/10)*h, wi=(2/10)*w;
for(temp=0;temp<3;temp++)
{
X[temp].style.height ='10vw';
X[temp].style.width = '50vw';
var tempx = (50/100)*wi*hi;
X[temp].style.fontSize=tempx.toString();
}
}
else
{
alert("this site is only made for mobile... Redirecting to home...")
var element = document.getElementById("body");
element.innerHTML = "this page only works on Mobile devices";
}
};